clan::ColorHSLx< Type, ColorType > Class Template Reference - ClanLib SDK
Description: clan::ColorHSLx< Type, ColorType > Class Template Reference

Public Member Functions | Public Attributes | List of all members
clan::ColorHSLx< Type, ColorType > Class Template Reference
clanDisplay 2D

Color HSL description class. More...

`#include <color_hsl.h>`

## Public Member Functions
| ColorHSLx ()
| Constructs a color.
| ColorHSLx (const Color &color)
| ColorHSLx (const Colorf &color)
| ColorHSLx (const ColorHSLx< Type, ColorType > &copy)
| ColorHSLx (Type h, Type s, Type l, Type a)
| operator ColorType ()
bool | operator!= (const ColorHSLx< Type, ColorType > &color) const
| != operator.
ColorHSLx< Type, ColorType > & | operator= (const ColorHSLx< Type, ColorType > &copy)
| = operator.
bool | operator== (const ColorHSLx< Type, ColorType > &color) const
| == operator.

## Public Attributes
Type | a
Type | h
Type | l
Type | s

## Detailed Description

template<typename Type, typename ColorType>
class clan::ColorHSLx< Type, ColorType >

Color HSL description class.

These templates are defined for: int (ColorHSLi), float (ColorHSLf), double (ColorHSLd)

## Constructor & Destructor Documentation

## ◆ ColorHSLx() [1/5]

template<typename Type , typename ColorType >

clan::ColorHSLx< Type, ColorType >::ColorHSLx | ( |  | ) |
| inline

Constructs a color.

## ◆ ColorHSLx() [2/5]

template<typename Type , typename ColorType >

clan::ColorHSLx< Type, ColorType >::ColorHSLx | ( | Type | h,
|  | Type | s,
|  | Type | l,
|  | Type | a )
| inline

## ◆ ColorHSLx() [3/5]

template<typename Type , typename ColorType >

clan::ColorHSLx< Type, ColorType >::ColorHSLx | ( | const ColorHSLx< Type, ColorType > & | copy | ) |
| inline

References clan::ColorHSLx< Type, ColorType >::a, clan::ColorHSLx< Type, ColorType >::h, clan::ColorHSLx< Type, ColorType >::l, and clan::ColorHSLx< Type, ColorType >::s.

## ◆ ColorHSLx() [4/5]

template<typename Type , typename ColorType >

clan::ColorHSLx< Type, ColorType >::ColorHSLx | ( | const Color & | color | ) |

## ◆ ColorHSLx() [5/5]

template<typename Type , typename ColorType >

clan::ColorHSLx< Type, ColorType >::ColorHSLx | ( | const Colorf & | color | ) |

## Member Function Documentation

## ◆ operator ColorType()

template<typename Type , typename ColorType >

clan::ColorHSLx< Type, ColorType >::operator ColorType | ( |  | ) |

## ◆ operator!=()

template<typename Type , typename ColorType >

bool clan::ColorHSLx< Type, ColorType >::operator!= | ( | const ColorHSLx< Type, ColorType > & | color | ) | const
| inline

!= operator.

References clan::ColorHSLx< Type, ColorType >::a, clan::color, clan::ColorHSLx< Type, ColorType >::h, clan::ColorHSLx< Type, ColorType >::l, and clan::ColorHSLx< Type, ColorType >::s.

## ◆ operator=()

template<typename Type , typename ColorType >

ColorHSLx< Type, ColorType > & clan::ColorHSLx< Type, ColorType >::operator= | ( | const ColorHSLx< Type, ColorType > & | copy | ) |
| inline

= operator.

References clan::ColorHSLx< Type, ColorType >::a, clan::ColorHSLx< Type, ColorType >::h, clan::ColorHSLx< Type, ColorType >::l, and clan::ColorHSLx< Type, ColorType >::s.

## ◆ operator==()

template<typename Type , typename ColorType >

bool clan::ColorHSLx< Type, ColorType >::operator== | ( | const ColorHSLx< Type, ColorType > & | color | ) | const
| inline

== operator.

References clan::ColorHSLx< Type, ColorType >::a, clan::color, clan::ColorHSLx< Type, ColorType >::h, clan::ColorHSLx< Type, ColorType >::l, and clan::ColorHSLx< Type, ColorType >::s.

## Member Data Documentation

## ◆ a

template<typename Type , typename ColorType >

Type clan::ColorHSLx< Type, ColorType >::a

Referenced by clan::ColorHSLx< Type, ColorType >::ColorHSLx(), clan::ColorHSLx< Type, ColorType >::operator!=(), clan::ColorHSLx< Type, ColorType >::operator=(), and clan::ColorHSLx< Type, ColorType >::operator==().

## ◆ h

template<typename Type , typename ColorType >

Type clan::ColorHSLx< Type, ColorType >::h

Referenced by clan::ColorHSLx< Type, ColorType >::ColorHSLx(), clan::ColorHSLx< Type, ColorType >::operator!=(), clan::ColorHSLx< Type, ColorType >::operator=(), and clan::ColorHSLx< Type, ColorType >::operator==().

## ◆ l

template<typename Type , typename ColorType >

Type clan::ColorHSLx< Type, ColorType >::l

Referenced by clan::ColorHSLx< Type, ColorType >::ColorHSLx(), clan::ColorHSLx< Type, ColorType >::operator!=(), clan::ColorHSLx< Type, ColorType >::operator=(), and clan::ColorHSLx< Type, ColorType >::operator==().

## ◆ s

template<typename Type , typename ColorType >

Type clan::ColorHSLx< Type, ColorType >::s

Referenced by clan::ColorHSLx< Type, ColorType >::ColorHSLx(), clan::ColorHSLx< Type, ColorType >::operator!=(), clan::ColorHSLx< Type, ColorType >::operator=(), and clan::ColorHSLx< Type, ColorType >::operator==().

The documentation for this class was generated from the following file:

- color_hsl.h